Go to the first, previous, next, last section, table of contents.

### `size`

`size(vect|mat)`
  :: A list containing the number of elements of the given vector, `[size of vect]`, or a list containing row size and column size of the given matrix, `[row size of mat, column size of mat]`.

return
  list
vect
  vector
mat
  matrix

- Return a list consisting of the dimension of the vector vect, or a list consisting of the row size and column size of the matrix matrix.
- Use `length()` for the size of list, and `nmono()` for the number of monomials with non-zero coefficients in a rational expression.

    [0] A = newvect(4);
    [ 0 0 0 0 ]
    [1] size(A);
    [4]
    [2] B = newmat(2,3,[[1,2,3],[4,5,6]]);
    [ 1 2 3 ]
    [ 4 5 6 ]
    [3] size(B);
    [2,3]

`References`
  section `car`, `cdr`, `cons`, `append`, `reverse`, `length`, section `nmono`.

Go to the first, previous, next, last section, table of contents.